﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tektronix TPS 2000: ADJ RS-232 /O_CAL
DATE:                  2017-04-10 11:26:43
AUTHOR:                Fluke
REVISION:              $Revision: 19204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       136
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
#  Models covered:
#        TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
#  Source(s):
#        TPS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1465-01
#
#  Compatibility:
#        MET/CAL 8.1.7 or later
#
#  Additional Equipment Required:
#        BNC T adapter (f-f-f), 1 set
#        BNC T adapter (f-m-f), 2 sets
#        50 Ohm BNC(m)-(m) cable, 10 inch long, 4 sets
#        50 Ohm feed through terminator, 1 set
#
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#        25 min (TPS 2024, TPS2014), 15 min (TPS 2012)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-                        P                                     V

  1.002  IF           NOT(VERSIONCHECK("8.1.7"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub High Voltage Safety Warning

  1.006  HEAD         TEST CONDITIONS
  1.007  DISP         Ensure a minimum UUT warm-up time of at least
  1.007  DISP         10 minutes has been allowed to elapse, prior
  1.007  DISP         to beginning verification.

  1.008  HEAD         REMOTE SETUP
  1.009  TARGET
  1.010  CALL         Sub Tek TPS2000 Setup RS-232
  1.011  PORT         *RST

  1.012  HEAD         UUT IDENTIFICATION
  1.013  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.014  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.015  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.016  HEAD         EQUIPMENT REQUIREMENTS
  1.017  DISP         The following additional equipment and/or
  1.017  DISP         accessories are required:
  1.017  DISP
  1.017  DISP         - BNC T adapter (f-f-f), 1 set
  1.017  DISP         - BNC T adapter (f-m-f), 2 sets
  1.017  DISP         - 50 Ohm BNC(m)-(m) cable, 4 sets
  1.017  DISP         - 50 Ohm feed through terminator, 1 set

# Query self test result. if failed, abort the procedure
  1.018  PORT         DIA:RESU:FLA?[I$]

  1.019  IF           ZCMPI(MEM2, "FAIL")
  1.020  DISP         Self Test failed, procedure will be aborted.
  1.021  MATH         @Abort = 1
  1.022  ELSE
  1.023  MATH         @Abort = 0
  1.024  ENDIF

  1.025  JMPL         END                          @Abort

  1.026  HEAD         FACTORY CALIBRATION START
  1.027  TARGET
  1.028  MATH         @Abort = 0

  1.029  DO
  1.030  CALL         Sub Tek TPS2000 Cal Steps RS-232 /O_CAL

  1.031  IF           @Error
  1.032  OPBR         -z Failure occurred during the FACTORY CALIBRATION.
  1.032  OPBR
  1.032  OPBR         Do you wish to retry the calibration?
  1.033  MATH         @Abort = NOT(MEM1)

  1.034  ELSE

  1.035  IF           @NumChan == 2
  1.036  MATH         @SelfCalTime = 130
  1.037  ELSE
  1.038  MATH         @SelfCalTime = 210
  1.039  ENDIF

  1.040  CALL         Sub Tek TPS2000 Self Cal RS-232
  1.041  ENDIF

  1.042  UNTIL        NOT(@Error) || @Abort


  1.043  LABEL        END
  1.044  HEAD
  1.045  PORT         *RST

  1.046  IF           @Abort
  1.047  DISP         C A L I B R A T I O N   A B O R T E D
  1.048  RSLT         =C A L I B R A T I O N   A B O R T E D
  1.049  ENDIF

  1.050  END
